# WOK
TKWOK
WOKernel

# WOKernel_File Class Reference

a file in WOK context

`#include <WOKernel_File.hxx>`

Inheritance diagram for WOKernel_File:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_File (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Entity)&anesting, const Handle(WOKernel_FileType)&atype)
| Constructor of a File with a FileDependent Type .
Standard_EXPORT | WOKernel_File (const Handle(WOKernel_Entity)&anesting, const Handle(WOKernel_FileType)&atype)
| Constructor of a File with a !FileDependent Type Warning : Raises if FileType is FileDependent .
const Handle_WOKUtils_Path & | Path () const
Standard_EXPORT void | SetPath (const Handle(WOKUtils_Path)&apath)
const Handle_WOKernel_FileType & | Type () const
const Handle_TCollection_HAsciiString & | TypeName () const
Standard_EXPORT void | SetType (const Handle(WOKernel_FileType)&atype)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | GetUniqueName () const
Standard_EXPORT const Handle_TCollection_HAsciiString & | LocatorName ()
Standard_EXPORT void | GetPath ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TCollection_HAsciiString | FileLocatorName (const Handle(TCollection_HAsciiString)&unitname, const Handle(TCollection_HAsciiString)&type, const Handle(TCollection_HAsciiString)&aname)

## Private Attributes

Handle_WOKernel_FileType | mytype
Handle_WOKUtils_Path | mypath
Handle_TCollection_HAsciiString | mylocatorname

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_File::WOKernel_File | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Entity)& | anesting,
|  | const Handle(WOKernel_FileType)& | atype
| ) |

Standard_EXPORT WOKernel_File::WOKernel_File | ( | const Handle(WOKernel_Entity)& | anesting,
|  | const Handle(WOKernel_FileType)& | atype
| ) |

## Member Function Documentation

static Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_File::FileLocatorName | ( | const Handle(TCollection_HAsciiString)& | unitname,
|  | const Handle(TCollection_HAsciiString)& | type,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | `[static]`

Standard_EXPORT void WOKernel_File::GetPath | ( |  | ) |

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_File::GetUniqueName | ( |  | ) | const`[virtual]`

| Implements WOKernel_BaseEntity.

Standard_EXPORT const WOKernel_File::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_BaseEntity.

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_File::LocatorName | ( |  | ) |

const Handle_WOKUtils_Path& WOKernel_File::Path | ( |  | ) | const

Standard_EXPORT void WOKernel_File::SetPath | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT void WOKernel_File::SetType | ( | const Handle(WOKernel_FileType)& | atype | ) |

const Handle_WOKernel_FileType& WOKernel_File::Type | ( |  | ) | const

const Handle_TCollection_HAsciiString& WOKernel_File::TypeName | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_File::mylocatorname `[private]`

Handle_WOKUtils_Path WOKernel_File::mypath `[private]`

Handle_WOKernel_FileType WOKernel_File::mytype `[private]`

The documentation for this class was generated from the following file:

- WOKernel_File.hxx